[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: kernel 2.4.20 building error with patch xfs

On Wed, 18 Jun 2003 at 7:18pm, François Chenais wrote:

:I'm trying to build the last kernel-source.2.4.20 with
:xfs patch but I have an error while linking.
:many functions have undefined reference to `xfs_params' !!!

I was having this sort of problem on a 'testing' system, when someone
suggested compiling with gcc-2.95.  It worked for me, at least for the
kernel.  (It didn't work for the pcmcia modules, but I fixed that by
using the kernel version.)  In the toplevel Makefile, replace references
to gcc with gcc-2.95 (assuming 'which gcc-2.95' reports


Patrick Wiseman                               pwiseman@mindspring.com
Linux user #17943                             *Google First, Ask Later*

Reply to: